#ifndef __DB_BUFFER_H__
#define __DB_BUFFER_H__

#include "db_system.h"
#include "db_types.h"

int BufInit(System *sys, size_t editSize, size_t scratchSize);
void EditBufReset(void);
int EditBufAddLineN(int lineNumber, const char *text);
int EditBufDeleteLineN(int lineNumber);
int EditBufSeekN(int lineNumber);
int EditBufGetLine(int *pLineNumber, char *text);

void ScratchRewind(void);
int ScratchWrite(const uint8_t *buf, int size);
int ScratchRead(uint8_t *buf, int size);

#endif
